.has-feedback {
    position: relative;
}

.has-feedback .form-control {
    padding-right: 42.5px;
}

.has-feedback .form-control-feedback {
    top: 0px;
    right: .5rem !Important;
    padding-top: .2rem;
}

.form-control-feedback {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
    display: block;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
    pointer-events: none;
}

.input-lg + .form-control-feedback,
.input-group-lg + .form-control-feedback,
.form-group-lg .form-control + .form-control-feedback {
    width: 46px;
    height: 46px;
    line-height: 46px;
}

.input-sm + .form-control-feedback,
.input-group-sm + .form-control-feedback,
.form-group-sm .form-control + .form-control-feedback {
    width: 30px;
    height: 30px;
    line-height: 30px;
}

.has-success .help-block,
.has-success .control-label,
.has-success .radio,
.has-success .checkbox,
.has-success .radio-inline,
.has-success .checkbox-inline,
.has-success.radio label,
.has-success.checkbox label,
.has-success.radio-inline label,
.has-success.checkbox-inline label {
    color: var(--bs-success);
}

.has-success .form-control {
    border-color: var(--bs-success);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

.has-success .form-control:focus {
    border-color: var(--ok-br-color);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--ok-sh-color);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--ok-sh-color);
}

.has-success .input-group-addon {
    color: var(--bs-success);
    background-color: var(--ok-bg-color);
    border-color: var(--bs-success);
}

.has-success .form-control-feedback {
    color: var(--bs-success);
}

.has-warning .help-block,
.has-warning .control-label,
.has-warning .radio,
.has-warning .checkbox,
.has-warning .radio-inline,
.has-warning .checkbox-inline,
.has-warning.radio label,
.has-warning.checkbox label,
.has-warning.radio-inline label,
.has-warning.checkbox-inline label {
    color: var(--wr-color);
}

.has-warning .form-control {
    border-color: var(--wr-color);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

.has-warning .form-control:focus {
    border-color: var(--wr-br-color);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--wr-sh-color);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--wr-sh-color);
}

.has-warning .input-group-addon {
    color: var(--wr-color);
    background-color: var(--wr-bg-color);
    border-color: var(--wr-color);
}

.has-warning .form-control-feedback {
    color: var(--wr-color);
}

.has-error .help-block,
.has-error .control-label,
.has-error .radio,
.has-error .checkbox,
.has-error .radio-inline,
.has-error .checkbox-inline,
.has-error.radio label,
.has-error.checkbox label,
.has-error.radio-inline label,
.has-error.checkbox-inline label {
    color: var(--bs-danger);
}

.has-error .form-control {
    border-color: var(--bs-danger);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

.has-error .form-control:focus {
    border-color: var(--er-br-color);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--er-sh-color);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--er-sh-color);
}

.has-error .input-group-addon {
    color: var(--bs-danger);
    background-color: var(--er-bg-color);
    border-color: var(--bs-danger);
}

.has-error .form-control-feedback {
    color: var(--bs-danger) !important;
}

.has-feedback label ~ .form-control-feedback {
    top: 25px;
}

.has-feedback label.sr-only ~ .form-control-feedback {
    top: 0;
}

.help-block {
    display: block;
    margin-top: 5px;
    margin-bottom: 10px;
    color: var(--hlp-blk-color);
    font-weight: bold;
}